"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Menu = void 0;
const ui_foundation_ui_main_dropdown_1 = require("@teambit/ui-foundation.ui.main-dropdown");
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importStar(require("react"));
const lodash_1 = require("lodash");
const menu_module_scss_1 = __importDefault(require("./menu.module.scss"));
/**
 * base menu.
 */
function Menu({ menuSlot, widgetSlot, menuItemSlot, className }) {
    const mainMenuItems = react_1.useMemo(() => lodash_1.groupBy(lodash_1.flatten(menuItemSlot === null || menuItemSlot === void 0 ? void 0 : menuItemSlot.values()), 'category'), [menuItemSlot]);
    const widgets = lodash_1.flatten(widgetSlot === null || widgetSlot === void 0 ? void 0 : widgetSlot.values());
    const menuItems = lodash_1.flatten(menuSlot === null || menuSlot === void 0 ? void 0 : menuSlot.values());
    return (react_1.default.createElement("div", { className: classnames_1.default(menu_module_scss_1.default.topBar, className) },
        react_1.default.createElement("div", { className: menu_module_scss_1.default.leftSide }, menuItems &&
            menuItems.map((Item, index) => {
                return react_1.default.createElement(Item, { key: index });
            })),
        react_1.default.createElement("div", { className: menu_module_scss_1.default.rightSide },
            widgets &&
                widgets.map((Widget, index) => {
                    return react_1.default.createElement(Widget, { key: index });
                }),
            react_1.default.createElement(ui_foundation_ui_main_dropdown_1.MainDropdown, { menuItems: mainMenuItems }))));
}
exports.Menu = Menu;
//# sourceMappingURL=menu.js.map